%define python3_pkgversion 3.11

# Created by pyp2rpm-3.3.10
%global pypi_name mypy_extensions
%global pypi_version 1.0.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1.0.1%{?dist}
Summary:        Type system extensions for programs checked with the mypy type checker

License:        MIT License
URL:            https://github.com/python/mypy_extensions
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/mypy_extensions-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros

%description
Mypy Extensions The "mypy_extensions" module defines extensions to the standard
"typing" module that are supported by the mypy type checker and the mypyc
compiler.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
Mypy Extensions The "mypy_extensions" module defines extensions to the standard
"typing" module that are supported by the mypy type checker and the mypyc
compiler.


%prep
%autosetup -n mypy_extensions-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md

%pycached %{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/mypy_extensions-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Aug 13 2024 Darren Archibald <darren.archibald@oracle.com> - 1.0.0-1.0.1
- Add python3.11-rpm-macros to the BuildRequires

* Tue Jul 30 2024 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 1.0.0-1
- Initial package.
